body {
    font-family: "Roboto Mono", monospace;
    background-color: #f7f8fa;
    margin: 0;
}

#header {
    background: linear-gradient(#4a90e2, #f7f8fa);
    display: flex;
    justify-content: center;

    > a {
        text-decoration: none;
    }

    #logo-pic {
        width: 180px;
        height: 129px;
    }
    .brand-name {
        position: relative;
        bottom: 38px;
        color: black;
        font-weight: 700;
        font-size: 1.8em;
    }
}

#menu {
    margin: 0 auto;
    width: 70%;
    display: flex;
    justify-content: space-around;
    height: 450px;
}

#features {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    box-sizing: border-box;
    width: 30%;
    a {
        text-decoration: none;
        box-sizing: border-box;
        color: black;
        padding: 20px;
        text-align: center;
        width: 275px;
        border-radius: 10px;
        background-color: #eeeeee;
        border: 2px solid #4a90e2;
    }
    a:hover {
        background-color: #dadada;
    }
}

#workspace {
    box-sizing: border-box;
    background-color: #eeeeee;
    border: 2px solid #4a90e2;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 10px;
    width: 70%;

    > form {
        width: 80%;
        display: flex;
        flex-direction: column;
        align-items: center;
        * {
            margin: 3px;
        }
        textarea {
            resize: none;
        }
    }
}

.about-me {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
}

#app-info {
    margin: 0 auto;
    width: 70%;
    display: flex;
    justify-content: space-around;
}

.hello {
    text-align: center;
    width: 30%;
}

.loc {
    width: 70%;
}

#log-in,
#sign-up,
.centered-div {
    margin-top: 12vh;
    display: flex;
    p {
        width: 90%;
        text-align: center;
    }
    flex-direction: column;
    justify-content: center;
    align-items: center;
    > form {
        display: flex;
        flex-direction: column;
        align-items: center;
        * {
            margin: 3px;
        }
    }
}

#login-text,
#logout-text,
#signup-text {
    width: 100vw;
    text-align: center;
    position: absolute;
    top: 40vh;
}

.welcome {
    margin: 10px;
    text-align: center;
}

.btns-auth {
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    .auth-btn {
        margin: 0.5em;
    }
}

.choice {
    display: flex;
    justify-content: center;
    > * {
        margin: 0 5px;
    }
}

.user-info {
    .avatar-div {
        width: 25%;
    }
    #avatar {
        max-width: 100%;
        max-height: 250px;
        border: 2px solid black;
        border-radius: 10px;
    }
    .user-text {
        width: 70%;
    }
    box-sizing: border-box;
    padding: 20px;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.centered-text {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#close-btn {
    text-decoration: none;
    color: black;
}

#alert {
    display: flex;
    flex-direction: column;
    position: absolute;
    background-color: gray;
    border-radius: 10px;
    top: 400px;
    button {
        margin: 5px;
    }
    div {
        margin: 0 auto;
    }
}

.user-text {
    height: 200px;
    overflow: scroll;
}

.about-me-text {
    text-wrap: wrap;
    word-wrap: break-word;
}

.friends,
.subscribers,
.members {
    width: 40%;
    height: 80%;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

.friend {
    margin: 3px 0;
    width: 100%;
    max-height: 100px;
    display: flex;
    align-items: center;
    img {
        width: 75px;
        max-height: 100px;
        margin-right: 40px;
    }
}

.chatter {
    margin: 3px 0;
    width: 100%;
    max-height: 100px;
    display: flex;
    align-items: center;
    .chatter_img {
        width: 75px;
        margin-right: 40px;
    }
    .chatter_link {
        width: 55%;
        > button {
            overflow: clip;
        }
    }
}

#messages {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

#chatters {
    overflow: auto;
    .chatter_img {
        border-radius: 50%;
        width: 50%;
        margin: 5px;
        max-height: 100px;
    }
    .chatter {
        box-sizing: border-box;
        padding: 5px;
        background-color: #cccccc;
        border-radius: 5px;
    }
    background-color: #dadada;
    box-sizing: border-box;
    padding: 10px;
    border: 2px solid black;
    border-radius: 10px;
    width: 30%;
    height: 95%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

#chat {
    > * {
        padding-left: 10px;
        padding-right: 10px;
    }
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #dadada;
    border: 2px solid black;

    border-radius: 10px;
    width: 60%;
    height: 95%;
}

.message {
    border-radius: 15px;
    max-width: 200px;
    p {
        text-wrap: wrap;
        word-wrap: break-word;
    }
}

.send-section {
    > * {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

#chat-field {
    height: 70%;
    overflow-x: clip;
    overflow-y: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
    ::-webkit-scrollbar {
        display: none;
    }
    /*display: flex;*/
    flex-direction: column;
    justify-content: flex-end;
}

.who,
.send-section {
    height: 12%;
    background-color: #bbbbbb;
}

.who {
    border-radius: 8px 8px 0 0;
}

.send-section {
    border-radius: 0 0 8px 8px;
    display: flex;
    justify-content: center;
    form {
        width: 90%;
        [type="text"] {
            width: 100%;
        }
        #message-field {
            width: 75%;
        }
        #send-btn {
            width: 20%;
        }
    }
}

.members,
.subscribers,
.friends {
    overflow: scroll;
    width: 40%;
    ::-webkit-scrollbar {
        width: 0;
    }
}

.members::-webkit-scrollbar {
    width: 0;
}

.subscribers::-webkit-scrollbar {
    width: 0;
}

.friends::-webkit-scrollbar {
    width: 0;
}

.error {
    color: red;
}

.password-input,
.username-input {
    width: 200px;
}

.password-control {
    position: relative;
    bottom: 23.5px;
    left: 280px;
    display: block;
    width: 20px;
    height: 20px;
    background: url(images/view.svg) 0 0 no-repeat;
    margin: 0;
}

.password-control.view {
    background: url(images/no-view.svg) 0 0 no-repeat;
}

.msg-time {
    font-size: 0.7em;
    color: dimgray;
    text-align: right;
}

/* Burger Menu, Not King */

#burger-menu {
    margin: 16px 0;
    box-sizing: content-box;
}

.burger-checkbox {
    position: absolute;
    visibility: hidden;
}
.burger {
    position: relative;
    z-index: 1;
    cursor: pointer;
    display: block;
    border: none;
    background: transparent;
    width: 40px;
    height: 26px;
}
.burger::before,
.burger::after {
    content: "";
    left: 0;
    position: absolute;
    display: block;
    width: 100%;
    height: 4px;
    border-radius: 10px;
    background: #000;
}
.burger::before {
    top: 0;
    box-shadow: 0 11px 0 #000;
    transition: box-shadow 0.3s 0.15s, top 0.3s 0.15s, transform 0.3s;
}
.burger::after {
    bottom: 0;
    transition: bottom 0.3s 0.15s, transform 0.3s;
}
.burger-checkbox:checked + .burger::before {
    top: 11px;
    transform: rotate(45deg);
    box-shadow: 0 6px 0 rgba(0, 0, 0, 0);
    transition: box-shadow 0.15s, top 0.3s, transform 0.3s 0.15s;
}
.burger-checkbox:checked + .burger::after {
    bottom: 11px;
    transform: rotate(-45deg);
    transition: bottom 0.3s, transform 0.3s 0.15s;
}
.menu-list {
    top: 245px;
    left: 0;
    position: absolute;
    display: grid;
    gap: 12px;
    padding: 42px 0;
    margin: 0;
    background: #f7f8fa;
    list-style-type: none;
    transform: translateX(-100%);
    transition: 0.3s;
    width: 100%;
    z-index: 1;
    height: 460px;
}
.menu-item {
    display: block;
    padding: 8px;
    font-size: 18px;
    text-align: center;
    text-decoration: none;
}
.menu-item:hover {
    background: rgba(255, 255, 255, 0.2);
}
.burger-checkbox:checked ~ .menu-list {
    transform: translateX(0);
}

/* Media */

@media (max-width: 900px) {
    .chatter {
        flex-direction: column;
        .chatter_link {
            width: 90%;
            max-height: inherit;
        }
    }
}

@media (max-width: 655px) {
    #motto-transition {
        display: inline;
    }

    #features {
        display: none;
    }

    .hello,
    .loc {
        display: inline;
        width: 40%;
    }

    #workspace {
        width: 100%;
    }

    .send-section {
        form {
            [type="text"] {
                width: 90%;
            }
            #send-btn {
                width: 25%;
            }
        }
    }
}

@media (min-width: 655px) {
    #motto-transition,
    #burger-menu {
        display: none;
    }
}

@media (max-width: 360px) {
    #app-info {
        width: 100%;
    }
}

@media (max-width: 450px) {
    #app-info {
        width: 80%;
    }
}

@media (max-width: 1400px) {
    #menu,
    #app-info {
        width: 75%;
    }

    .members,
    .subscribers,
    .friends {
        width: 45%;
    }
}

@media (max-width: 1300px) {
    #menu,
    #app-info {
        width: 80%;
    }
}

@media (max-width: 1200px) {
    #menu,
    #app-info {
        width: 85%;
    }
    .members,
    .subscribers,
    .friends {
        width: 45%;
    }
}

@media (max-width: 1100px) {
    #menu,
    #app-info {
        width: 90%;
    }
}

@media (max-width: 1050px) {
    #menu,
    #app-info {
        width: 95%;
    }
}

@media (max-width: 1000px) {
    #features > a {
        width: 95%;
    }
    .hello {
        width: 30%;
    }
    .members,
    .subscribers,
    .friends {
        width: 50%;
    }
    #workspace > form {
        width: 95%;
    }
}

@media (max-width: 750px) {
    .members,
    .subscribers,
    .friends {
        width: 60%;
    }
}
